import request from '../../utils/request'

export function selectMatchableDataByLabel(label) {
  return request({
    url: '/hisWjwMatch/selectMatchableDataByLabel',
    method: 'get',
    params: { label },
  })
}

export function executeMatchAction(data) {
  return request({
    url: '/hisWjwMatch/executeMatchAction',
    method: 'post',
    data,
  })
}

export function fetchSimilarities(label, name, key) {
  return request({
    url: '/hisWjwMatch/fetchSimilarities',
    method: 'get',
    params: { label, name, key },
  })
}
